RHEL 8: libtiff(RHSA-2020: 1688)

medium Nessus プラグイン ID 136039
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのRed Hatホストにセキュリティ更新プログラムが適用されていません。

説明

リモートRedhat Enterprise Linux 8ホストにインストールされているパッケージは、RHSA-2020: 1688アドバイザリに記載されている脆弱性の影響を受けます。

- libtiff: tif_aux.cにおける_TIFFCheckMallocおよび_TIFFCheckReallocの整数オーバーフロー(CVE-2019-14973)

Nessusはこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるlibtiff、libtiff-develおよび/またはlibtiff-toolsパッケージを更新してください。

関連情報

https://cwe.mitre.org/data/definitions/190.html

https://access.redhat.com/errata/RHSA-2020:1688

https://access.redhat.com/security/cve/CVE-2019-14973

https://bugzilla.redhat.com/1745951

プラグインの詳細

深刻度: Medium

ID: 136039

ファイル名: redhat-RHSA-2020-1688.nasl

バージョン: 1.6

タイプ: local

エージェント: unix

公開日: 2020/4/28

更新日: 2021/10/13

依存関係: ssh_get_info.nasl, redhat_repos.nasl

リスク情報

CVSS スコアのソース: CVE-2019-14973

VPR

リスクファクター: Low

スコア: 3.6

CVSS v2

リスクファクター: Medium

Base Score: 4.3

Temporal Score: 3.2

ベクトル: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

現状ベクトル: CVSS2#E:U/RL:OF/RC:C

CVSS v3

リスクファクター: Medium

Base Score: 6.5

Temporal Score: 5.7

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

現状ベクトル: CVSS:3.0/E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:2.3:o:redhat:enterprise_linux:8:*:*:*:*:*:*:*, cpe:2.3:o:redhat:rhel_aus:8.2:*:*:*:*:*:*:*, cpe:2.3:o:redhat:rhel_e4s:8.2:*:*:*:*:*:*:*, cpe:2.3:o:redhat:rhel_eus:8.2:*:*:*:*:*:*:*, cpe:2.3:o:redhat:rhel_tus:8.2:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:libtiff:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:libtiff-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:libtiff-tools:*:*:*:*:*:*:*, cpe:2.3:o:redhat:rhel_eus:8.4:*:*:*:*:*:*:*, cpe:2.3:o:redhat:rhel_aus:8.4:*:*:*:*:*:*:*, cpe:2.3:o:redhat:rhel_e4s:8.4:*:*:*:*:*:*:*, cpe:2.3:o:redhat:rhel_tus:8.4:*:*:*:*:*:*:*

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2020/4/28

脆弱性公開日: 2019/8/14

参照情報

CVE: CVE-2019-14973

CWE: 190

RHSA: 2020:1688